Welcome to MilkyWay@home

ATI 58x0 GPU fix released


Advanced search

Message boards : News : ATI 58x0 GPU fix released
Message board moderation

To post messages, you must log in.

AuthorMessage
ProfileTravis
Volunteer moderator
Project administrator
Project developer
Project tester
Project scientist

Send message
Joined: 30 Aug 07
Posts: 2046
Credit: 26,480
RAC: 0
10 thousand credit badge10 year member badge
Message 38251 - Posted: 7 Apr 2010, 1:39:17 UTC

A big round of thanks go to Cluster Physik for quickly updating the 58x0 ATI GPU application, which was causing the validation problems we've been experiencing lately.


If you're running MilkyWay@Home on a 58x0 ATI GPU, please upgrade your application. A link is to the application is here: here


Please take the time to update to this, as not only are the bad ATI 58x0 GPU applications causing their own workunits to be often flagged invalid, they report results quick enough that they have been quoruming up against valid results and causing the valid ones to be flagged invalid.


Thanks, Travis
ID: 38251 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
zombie67 [MM]
Avatar

Send message
Joined: 29 Aug 07
Posts: 115
Credit: 265,168,970
RAC: 34
200 million credit badge10 year member badge
Message 38253 - Posted: 7 Apr 2010, 1:59:48 UTC

When will it be available as a stock app? I don't use app_info.xml.

ID: 38253 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileTravis
Volunteer moderator
Project administrator
Project developer
Project tester
Project scientist

Send message
Joined: 30 Aug 07
Posts: 2046
Credit: 26,480
RAC: 0
10 thousand credit badge10 year member badge
Message 38255 - Posted: 7 Apr 2010, 2:23:23 UTC - in response to Message 38253.  

When will it be available as a stock app? I don't use app_info.xml.


I just updated the stock apps. Let me know if it works.
ID: 38255 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
zombie67 [MM]
Avatar

Send message
Joined: 29 Aug 07
Posts: 115
Credit: 265,168,970
RAC: 34
200 million credit badge10 year member badge
Message 38269 - Posted: 7 Apr 2010, 3:24:50 UTC
Last modified: 7 Apr 2010, 3:51:18 UTC

Can't get work to try it out. "No work available"

Edit #1: Required a Project Reset. Odd. A newer app version should not require manual resets like that. Anyway, I have new work now.

Edit #2: seems to be working. Thumbs up!

ID: 38269 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
SkyeHunter

Send message
Joined: 6 Mar 09
Posts: 41
Credit: 38,856,291
RAC: 0
30 million credit badge10 year member badge
Message 38285 - Posted: 7 Apr 2010, 8:29:02 UTC

All running well on the 4870's. Just one "Can't Validate" error since restarting the feeder. Apps automatically upgraded to version 0.23.
Just the feeder seems to run with difficulties...
ID: 38285 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
John Clark

Send message
Joined: 4 Oct 08
Posts: 1734
Credit: 64,228,409
RAC: 0
50 million credit badge10 year member badge
Message 38306 - Posted: 7 Apr 2010, 15:19:33 UTC
Last modified: 7 Apr 2010, 15:21:23 UTC

Apologies for being a little on the slow side today.

I have downloaded the zip for the HD58xx correction, and opened it with a view of transferring the appropriate files to my Milkyway projects folder.

I see the following list of files -

app_info
astronomy_0.23_ATI_SSE2
astronomy_0.23_ATI_x64
astronomy_0.23_ATI_x87
brook32.dll
brook64.dll
readme

The readme states to copy the content of the appropriate folder of the zip file (3 files) to your Milkyway folder.

My Penny quad runs 32bit XP pro, with the ATI 9.11 CCC (driver: 1.4.467) loaded and BOINC 6.10.13.

I assume the files I need to load are -

App_info
astronomy_0.23_ATI-SSE2
brook32.dll

But that leaves a doubt in my mind on what to do with astronomy_0.23_ATI_x87, which appears to be a 32 bit application.

Is the 3 files I need the 3 I mention or should I include the_x87 file as well?
Go away, I was asleep


ID: 38306 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Cluster Physik

Send message
Joined: 26 Jul 08
Posts: 627
Credit: 94,940,203
RAC: 0
50 million credit badge10 year member badgeextraordinary contributions badge
Message 38307 - Posted: 7 Apr 2010, 15:34:43 UTC - in response to Message 38306.  
Last modified: 7 Apr 2010, 15:35:31 UTC

My Penny quad runs 32bit XP pro, with the ATI 9.11 CCC (driver: 1.4.467) loaded and BOINC 6.10.13.

I assume the files I need to load are -

App_info
astronomy_0.23_ATI-SSE2
brook32.dll

But that leaves a doubt in my mind on what to do with astronomy_0.23_ATI_x87, which appears to be a 32 bit application.

Is the 3 files I need the 3 I mention or should I include the_x87 file as well?

The three files you listed comprise the 32bit SSE2 version. It should run on your computer without problems. The _x87 version doesn't use SSE2 so it could be run on an older AthlonXP for instance, you don't need it (just take the app_info.xml and the brook32.dll from the same "Win32_SSE2_ati" folder as the application file). As most stuff is calculated on the GPU either way, it's probably just a second slower than the SSE2 version.

Btw., the 64bit version also uses SSE2 as every 64bit capable CPU supports it.
ID: 38307 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
John Clark

Send message
Joined: 4 Oct 08
Posts: 1734
Credit: 64,228,409
RAC: 0
50 million credit badge10 year member badge
Message 38310 - Posted: 7 Apr 2010, 16:23:36 UTC

Thank you CP.

I was a little off my pace today, but thought I had picked the correct combination of MW GPU files for my set up. However, a quick check needed the confirmation.

I will now stop BM and add these files so I can use my HD5850 without causing the project science grief.
Go away, I was asleep


ID: 38310 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
PsYcHoK9

Send message
Joined: 4 May 10
Posts: 1
Credit: 136,959
RAC: 0
100 thousand credit badge9 year member badge
Message 39410 - Posted: 4 May 2010, 16:55:00 UTC
Last modified: 4 May 2010, 16:57:51 UTC

This patch is still needed?

My sys: Q6600@3.2GHz, 4GB ram, Win7 x64, AMD Sapphire Radeon 5850 Toxic.
Boinc x64 version.
This files on milkyway.cs.rpi.edu_milkyway folder:
brook64a_ati.dll
milkyway_0.19_windows_x86_64.exe
milkyway_0.23_windows_x86_64__ati13ati.exe
parameter_222F5_3s_v3.txt
stars222F5_v2

Thank you
ID: 39410 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileBeyond

Send message
Joined: 15 Jul 08
Posts: 383
Credit: 501,817,790
RAC: 0
500 million credit badge10 year member badge
Message 39449 - Posted: 6 May 2010, 6:53:26 UTC

There's still 58xx machines running the wrong version. Why not ban them until they're fixed? Here's 2 that are still running v20b and returning massive invalid results:

http://milkyway.cs.rpi.edu/milkyway/results.php?hostid=128760&offset=60&show_names=0&state=4

http://milkyway.cs.rpi.edu/milkyway/results.php?hostid=126692&offset=0&show_names=0&state=4
ID: 39449 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Brian Priebe

Send message
Joined: 27 Nov 09
Posts: 108
Credit: 426,966,680
RAC: 68,928
300 million credit badge9 year member badgeextraordinary contributions badge
Message 39462 - Posted: 6 May 2010, 15:46:25 UTC - in response to Message 39449.  

They probably don't check the news. I've sent them PM's to upgrade to 0.23.
ID: 39462 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Cancer Crusader

Send message
Joined: 28 Apr 10
Posts: 1
Credit: 138,200,963
RAC: 0
100 million credit badge9 year member badge
Message 40105 - Posted: 1 Jun 2010, 17:02:40 UTC

BTW, I just thought I'd say that this 0.23 app has proven to be rock solid in a machine with multiple 5970's. It is far more reliable than anything else out there by a long shot. Nice work.
ID: 40105 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Brian Priebe

Send message
Joined: 27 Nov 09
Posts: 108
Credit: 426,966,680
RAC: 68,928
300 million credit badge9 year member badgeextraordinary contributions badge
Message 40180 - Posted: 4 Jun 2010, 2:07:24 UTC - in response to Message 39449.  

There's still 58xx machines running the wrong version. Why not ban them until they're fixed?
One of the computer ID's you quoted is still running the wrong version nearly a month later after I PM'd the donor. There is one other guy that I've PM'd twice now over the last 2 months and he still doesn't upgrade to 0.23.

What to do about these guys?
ID: 40180 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profilebanditwolf
Avatar

Send message
Joined: 12 Nov 07
Posts: 2425
Credit: 524,164
RAC: 0
500 thousand credit badge10 year member badge
Message 40182 - Posted: 4 Jun 2010, 2:39:28 UTC - in response to Message 40180.  

There's still 58xx machines running the wrong version. Why not ban them until they're fixed?
One of the computer ID's you quoted is still running the wrong version nearly a month later after I PM'd the donor. There is one other guy that I've PM'd twice now over the last 2 months and he still doesn't upgrade to 0.23.

What to do about these guys?

Ban the computer or issue negative credit. It has been more than long enough to me.
Doesn't expecting the unexpected make the unexpected the expected?
If it makes sense, DON'T do it.
ID: 40182 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : News : ATI 58x0 GPU fix released

©2019 Astroinformatics Group